Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
Class PreOrderTraversal

    java.lang.Object
      org.codehaus.groovy.antlr.treewalker.TraversalHelper
          org.codehaus.groovy.antlr.treewalker.PreOrderTraversal

All Implemented Interfaces:
  AntlrASTProcessor

    public class PreOrderTraversal

extends TraversalHelper

A simple preorder traversal over the supplied antlr AST.

Version:
  $Revision: 6778 $
Author:
  Jeremy Rayner

Field Summary

Fields inherited from class org.codehaus.groovy.antlr.treewalker.TraversalHelper
`unvisitedNodes`

Constructor Summary
`PreOrderTraversal(Visitor visitor)` A simple preorder traversal over the supplied antlr AST.

Method Summary
`void` | `accept(GroovySourceAST currentNode)`

Methods inherited from class org.codehaus.groovy.antlr.treewalker.TraversalHelper
`accept_FirstChild_v_RestOfTheChildren_v_LastChild, accept_FirstChild_v_RestOfTheChildren_v, accept_FirstChild_v_RestOfTheChildren, accept_FirstChild_v_SecondChild_v_ThirdChild_v, accept_FirstChild_v_SecondChild_v, accept_FirstChild_v_SecondChild, accept_FirstChild_v_SecondChildsChildren_v, accept_FirstSecondAndThirdChild_v_v_ForthChild, accept_SecondChild_v_ThirdChild_v, accept_v_AllChildren_v_Siblings, accept_v_AllChildren_v, accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v, accept_v_FirstChild_SecondChild_v_ThirdChild_v, accept_v_FirstChild_v_RestOfTheChildren_v, accept_v_FirstChild_v_RestOfTheChildren, accept_v_FirstChild_v_SecondChild_v___LastChild_v, accept_v_FirstChild_v, accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild, accept_v_FirstChildsFirstChild_v_RestOfTheChildren, accept_v_Siblings_v, acceptChildren, acceptSiblings, closingVisit, openingVisit, pop, process, push, secondVisit, setUp, skip, subsequentVisit, tearDown, visitNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreOrderTraversal

    public PreOrderTraversal(Visitor visitor)

  A simple preorder traversal over the supplied antlr AST.

  Parameters:
    `visitor` - the Visitor to call for each node visited

Method Detail

### accept

    public void accept(GroovySourceAST currentNode)

  Specified by:
    `accept` in class `TraversalHelper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD